petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNASMGetSNES

Gets a subsolver

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetSNES(SNES snes,PetscInt i,SNES *subsnes)

Not collective

### Input Parameters

| snes | - the SNES context
| i | - the number of the subsnes to get

### Output Parameters

subsnes -the subsolver context

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMGetNumber()

### Level

intermediate

### Location

src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages